#ifndef __INC_POSA_CLIB_ASL_PROTOS_C
#define __INC_POSA_CLIB_ASL_PROTOS_C
/*******************************************************************
 $CRT 10 Nov 1996 : hb

 $AUT Holger Burkarth
 $DAT >>asl_protos.c<<   10 Nov 1996    17:15:43 - (C) ProDAD
*******************************************************************/
#pragma -

#define NOMYDEBUG

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef  LIBRARIES_ASL_H
#include <libraries/asl.h>
#endif

#ifndef __INC_POS_PROTO_PPSL2_H
#include "p:proto/pPSL2.h"
#endif

struct FileRequester *AllocFileRequest( void )
  { return((APTR)pOS_AllocFileRequestA(NULL) );}

void FreeFileRequest( struct FileRequester *fileReq )
  { pOS_FreePslRequest((APTR)fileReq); }

BOOL RequestFile( struct FileRequester *fileReq )
  { return(pOS_PslFileRequestA((APTR)fileReq,NULL));}

APTR AllocAslRequest( unsigned long reqType, struct TagItem *tagList )
  { return(pOS_AllocPslRequestA(reqType,(APTR)tagList));}

APTR AllocAslRequestTags( unsigned long reqType, Tag Tag1, ... )
  { return(pOS_AllocPslRequestA(reqType,(APTR)&Tag1));}

void FreeAslRequest( APTR requester )
  { pOS_FreePslRequest((APTR)requester); }

BOOL AslRequest( APTR requester, struct TagItem *tagList )
  { return(pOS_PslRequestA((APTR)requester,(APTR)tagList));}

BOOL AslRequestTags( APTR requester, Tag Tag1, ... )
  { return(pOS_PslRequestA((APTR)requester,(APTR)&Tag1));}


#endif	 /* CLIB_ASL_PROTOS_H */
