#ifndef  CLIB_CONSOLE_PROTOS_H
#define  CLIB_CONSOLE_PROTOS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef  EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif
#ifndef  DEVICES_INPUTEVENT_H
#include <devices/inputevent.h>
#endif
#ifndef  DEVICES_KEYMAP_H
#include <devices/keymap.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif


LONG RawKeyConvert(struct InputEvent *events,STRPTR buffer,long length,struct KeyMap *keyMap);


#ifdef __IGNORE_NOT_SUPPORTED__

  struct InputEvent *CDInputHandler(struct InputEvent *events,struct Library *consoleDevice);

#else /** __IGNORE_NOT_SUPPORTED__ **/

#define CDInputHandler CDInputHandler_NOT_SUPPORTED
  struct InputEvent *CDInputHandler(struct NOT_SUPPORTED*,struct InputEvent*,struct Library*);

#endif /** __IGNORE_NOT_SUPPORTED__ **/


#ifdef __cplusplus
}
#endif


#endif	 /* CLIB_CONSOLE_PROTOS_H */
