#ifndef  CLIB_MATHIEEESINGBAS_PROTOS_H
#define  CLIB_MATHIEEESINGBAS_PROTOS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PROTO_PMATHIEEE2_H
#include <p:proto/pMathIEEE2.h>
#endif


SLONG IEEESPFix( FLOAT parm );
FLOAT IEEESPFlt( SLONG integer );
SLONG IEEESPCmp( FLOAT leftParm, FLOAT rightParm );
SLONG IEEESPTst( FLOAT parm );
FLOAT IEEESPAbs( FLOAT parm );
FLOAT IEEESPNeg( FLOAT parm );
FLOAT IEEESPAdd( FLOAT leftParm, FLOAT rightParm );
FLOAT IEEESPSub( FLOAT leftParm, FLOAT rightParm );
FLOAT IEEESPMul( FLOAT leftParm, FLOAT rightParm );
FLOAT IEEESPDiv( FLOAT dividend, FLOAT divisor );
FLOAT IEEESPFloor( FLOAT parm );
FLOAT IEEESPCeil( FLOAT parm );


#define IEEESPFix(a)    pOS_IEEESPFix(a)
#define IEEESPFlt(a)    pOS_IEEESPFlt(a)
#define IEEESPCmp(a,b)  pOS_IEEESPCmp(a,b)
#define IEEESPTst(a)    pOS_IEEESPTst(a)
#define IEEESPAbs(a)    pOS_IEEESPAbs(a)
#define IEEESPNeg(a)    pOS_IEEESPNeg(a)
#define IEEESPAdd(a,b)  pOS_IEEESPAdd(a,b)
#define IEEESPSub(a,b)  pOS_IEEESPSub(a,b)
#define IEEESPMul(a,b)  pOS_IEEESPMul(a,b)
#define IEEESPDiv(a,b)  pOS_IEEESPDiv(a,b)
#define IEEESPFloor(a)  pOS_IEEESPFloor(a)
#define IEEESPCeil(a)   pOS_IEEESPCeil(a)

#endif	 /* CLIB_MATHIEEESINGBAS_PROTOS_H */
