#ifndef DOS_DOSASL_H
#define DOS_DOSASL_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif
#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif
#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif
#ifndef __INC_POS_PDOS_SCANDIR_H
#include <p:pDos/ScanDir.h>
#endif
#ifndef __INC_POS_PDOS_DOSERRORS_H
#include <p:pDos/DosErrors.h>
#endif


#define AnchorPath pOS_AnchorPath
#define AChain pOS_AnchorPathObj


#ifdef __IGNORE_NOT_SUPPORTED__

  #define ap_First   ap_List.lh_Head       /** ? **/
  #define ap_Current ap_List.lh_TailPred   /** ? **/
  #define ap_Strlen  ap_BufLen  /** pOS **/

#endif /** __IGNORE_NOT_SUPPORTED__ **/




#define APF_DOWILD	APF_OnlyWild
#define APF_ITSWILD	APF_IsWild
#define APF_DODIR	APF_DoEnterDir
#define APF_DIDDIR	APF_ReturnDir

#define an_Info an_FIB

#define ERROR_BUFFER_OVERFLOW	DOSERR_NoMem
#define ERROR_BREAK		DOSERR_ProgAborted
#define ERROR_NOT_EXECUTABLE	DOSERR_Unknown

#endif /* DOS_DOSASL_H */
