#ifndef DOS_DOSTAGS_H
#define DOS_DOSTAGS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif
#ifndef __INC_POS_PDOS_DOSTAGS_H
#include <p:pDos/DosTags.h>
#endif


#define	NP_Seglist	DOSTAG_SegList
#define	NP_Entry	DOSTAG_Entry
#define	NP_Input	DOSTAG_InputFH
#define	NP_Output	DOSTAG_OutputFH
#define	NP_CurrentDir	DOSTAG_CurrDirLock
#define	NP_StackSize	DOSTAG_StackSize
#define	NP_Name		DOSTAG_Name
#define	NP_Priority	DOSTAG_Priority
#define	NP_ConsoleTask	DOSTAG_ConsoleFH
#define	NP_HomeDir	DOSTAG_ProgDirLock
#define	NP_CopyVars	DOSTAG_DupVars
#define	NP_Arguments	DOSTAG_Arguments

#define	SYS_Input	DOSTAG_InputFH
#define	SYS_Output	DOSTAG_OutputFH


#ifdef __IGNORE_NOT_SUPPORTED__

 #define SYS_Asynch      _PxA_IGNORE
 #define SYS_UserShell   _PxA_IGNORE
 #define SYS_CustomShell _PxA_IGNORE
 #define NP_FreeSeglist  _PxA_IGNORE
 #define NP_CloseInput   _PxA_IGNORE
 #define NP_CloseOutput  _PxA_IGNORE
 #define NP_Error        _PxA_IGNORE
 #define NP_CloseError   _PxA_IGNORE
 #define NP_WindowPtr    _PxA_IGNORE
 #define NP_Cli          _PxA_IGNORE
 #define NP_Path         _PxA_IGNORE
 #define NP_CommandName  _PxA_IGNORE
 #define NP_NotifyOnDeath _PxA_IGNORE
 #define NP_Synchronous  _PxA_IGNORE
 #define NP_ExitCode     _PxA_IGNORE
 #define NP_ExitData     _PxA_IGNORE

#endif /** __IGNORE_NOT_SUPPORTED__ **/







#endif /* DOS_DOSTAGS_H */
