#ifndef DOS_STDIO_H
#define DOS_STDIO_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef __INC_POS_PROTO_PDOS2_H
#include <p:proto/pDOS2.h>
#endif


#define ReadChar()		pOS_FileGetC(pOS_GetStdInput())
#define WriteChar(c)		pOS_FilePutC(pOS_GetStdOutput(),(c))
#define UnReadChar(c)		pOS_FileUnGetC(pOS_GetStdInput(),(c))
#define ReadChars(buf,num)	pOS_FileRead(pOS_GetStdInput(),(buf),1,(num))
#define ReadLn(buf,len)		pOS_FileGets(pOS_GetStdInput(),(buf),(len))
#define WriteStr(s)		pOS_FilePuts(pOS_GetStdOutput(),(s))
#define VWritef(format,argv)	pOS_VFWritef(pOS_GetStdOutput(),(format),(argv))

#define BUF_LINE 0
#define BUF_FULL 1
#define BUF_NONE 2
#define ENDSTREAMCH -1

#endif	/* DOS_STDIO_H */
