#ifndef	GRAPHICS_LAYERS_H
#define	GRAPHICS_LAYERS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PLAYER_CLIP_H
#include <p:pLayer/Clip.h>
#endif
#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif
#ifndef EXEC_SEMAPHORES_H
#include <exec/semaphores.h>
#endif

#define LAYERSIMPLE		LAYERF_Simple
#define LAYERSMART		LAYERF_Smart
#define LAYERSUPER		LAYERF_Super
#define LAYERREFRESH		LAYERF_Refresh

struct Layer_Info
{
  struct Node            li_Node;
  struct List            li_List;
  struct SignalSemaphore li_Lock;
  struct pOS_GfxMap     *li_GfxMap;
  UWORD                  li_Flags;
  struct List            li_HookList;
  UBYTE li_Reserved[16];
};


#ifdef __IGNORE_NOT_SUPPORTED__

 #define LAYERUPDATING           0x10
 #define LAYERBACKDROP           0x40
 #define NEWLAYERINFO_CALLED 1
 #define LAYERS_NOBACKFILL  ((struct Hook *)1)
 #define LAYERS_BACKFILL    ((struct Hook *)0)

#endif /** __IGNORE_NOT_SUPPORTED__ **/

#endif	/* GRAPHICS_LAYERS_H */
