#ifndef INTUITION_GADGETCLASS_H
#define INTUITION_GADGETCLASS_H 1

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PINTUI_TAGS_H
#include <p:pIntui/Tags.h>
#endif
#ifndef INTUITION_INTUITION_H
#include <intuition/intuition.h>
#endif
#ifndef UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif



#define    GA_Left		ICLTAG_Left
#define    GA_RelRight		ICLTAG_RelRight
#define    GA_Top		ICLTAG_Top
#define    GA_RelBottom		ICLTAG_RelBottom
#define    GA_Width		ICLTAG_Width
#define    GA_RelWidth		ICLTAG_RelWidth
#define    GA_Height		ICLTAG_Height
#define    GA_RelHeight		ICLTAG_RelHeight
#define    GA_Text		 _PxA_IGNORE
#define    GA_Image		 _PxA_IGNORE
#define    GA_Border		 _PxA_IGNORE
#define    GA_SelectRender	ICLTAG_SelectRender
#define    GA_Highlight	         _PxA_IGNORE
#define    GA_Disabled		ICLTAG_Disabled
#define    GA_GZZGadget		 _PxA_IGNORE
#define    GA_ID		ICLTAG_ID
#define    GA_UserData		ICLTAG_UserData
#define    GA_SpecialInfo	ICLTAG_SpecialInfo
#define    GA_Selected		ICLTAG_Selected
#define    GA_EndGadget	         _PxA_IGNORE
#define    GA_Immediate		ICLTAG_Immediate
#define    GA_RelVerify		ICLTAG_RelVerify
#define    GA_FollowMouse	 _PxA_IGNORE
#define    GA_RightBorder	ICLTAG_RightBorder
#define    GA_LeftBorder	ICLTAG_LeftBorder
#define    GA_TopBorder		ICLTAG_TopBorder
#define    GA_BottomBorder	ICLTAG_BottomBorder
#define    GA_ToggleSelect	ICLTAG_ToggleSelect

#define    GA_SysGadget	         _PxA_IGNORE
#define    GA_SysGType		ICLTAG_SysGadgetType
#define    GA_Previous	         _PxA_IGNORE
#define    GA_Next		 _PxA_IGNORE
#define    GA_DrawInfo		ICLTAG_DrawInfo
#define GA_IntuiText		 _PxA_IGNORE
#define GA_LabelImage		 _PxA_IGNORE
#define GA_TabCycle		ICLTAG_TabCycle
#define GA_GadgetHelp		 _PxA_IGNORE
#define GA_Bounds		 _PxA_IGNORE
#define GA_RelSpecial		 _PxA_IGNORE


#define PGA_Freedom	PRGADTAG_Flags
#define PGA_Borderless   _PxA_IGNORE
#define PGA_HorizPot	PRGADTAG_HorizPot
#define PGA_HorizBody	PRGADTAG_HorizBody
#define PGA_VertPot	PRGADTAG_VertPot
#define PGA_VertBody	PRGADTAG_VertBody
#define PGA_Total	PRGADTAG_Total
#define PGA_Visible	PRGADTAG_Visible
#define PGA_Top		PRGADTAG_Top
#define PGA_NewLook	 _PxA_IGNORE


#define STRINGA_MaxChars	STRGADTAG_MaxChars
#define STRINGA_Buffer		STRGADTAG_String
#define STRINGA_UndoBuffer	 _PxA_IGNORE
#define STRINGA_WorkBuffer	 _PxA_IGNORE
#define STRINGA_BufferPos	 _PxA_IGNORE
#define STRINGA_DispPos		STRGADTAG_DispPos
#define STRINGA_AltKeyMap	 _PxA_IGNORE
#define STRINGA_Font		 _PxA_IGNORE
#define STRINGA_Pens		 _PxA_IGNORE
#define STRINGA_ActivePens	 _PxA_IGNORE
#define STRINGA_EditHook	 _PxA_IGNORE
#define STRINGA_EditModes	 _PxA_IGNORE
#define STRINGA_ReplaceMode	 _PxA_IGNORE
#define STRINGA_FixedFieldMode   _PxA_IGNORE
#define STRINGA_NoFilterMode	 _PxA_IGNORE
#define STRINGA_Justification	 _PxA_IGNORE
#define STRINGA_LongVal		STRGADTAG_Integer
#define STRINGA_TextVal		STRGADTAG_String
#define STRINGA_ExitHelp	 _PxA_IGNORE

#define SG_DEFAULTMAXCHARS	(128)


#define	LAYOUTA_Dummy		 _PxA_IGNORE
#define LAYOUTA_LayoutObj	 _PxA_IGNORE
#define LAYOUTA_Spacing		 _PxA_IGNORE
#define LAYOUTA_Orientation	 _PxA_IGNORE




#define GM_HITTEST	GCLMTH_HitTest
#define GM_RENDER	GCLMTH_Render
#define GM_GOACTIVE	GCLMTH_GoActive
#define GM_HANDLEINPUT	GCLMTH_HandleInput
#define GM_GOINACTIVE	GCLMTH_GoInactive
#define GM_LAYOUT	GCLMTH_Layout


#ifdef __IGNORE_NOT_SUPPORTED__

 #define GM_HELPTEST (5)
 #define LORIENT_NONE    0
 #define LORIENT_HORIZ   0
 #define LORIENT_VERT    0

#endif /** __IGNORE_NOT_SUPPORTED__ **/

#endif
