#ifndef WORKBENCH_STARTUP_H
#define WORKBENCH_STARTUP_H


#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif
#ifndef LIBRARIES_DOS_H
#include <libraries/dos.h>
#endif


struct WBArg
{
  UBYTE   *wa_Name;
  size_t   wa_BufSize;
  BPTR     wa_Lock;
};



#ifdef __IGNORE_NOT_SUPPORTED__

 struct WBStartup
 {
   struct Message  sm_Message;
   struct MsgPort *sm_Process;
   BPTR            sm_Segment;
   LONG            sm_NumArgs;
   char           *sm_ToolWindow;
   struct WBArg   *sm_ArgList;
 };

#endif /** __IGNORE_NOT_SUPPORTED__ **/


#endif	/* !WORKBENCH_STARTUP_H */
