#ifndef __INC_POSA_CLIB_LOCALE_PROTOS_C
#define __INC_POSA_CLIB_LOCALE_PROTOS_C
/*******************************************************************
 $CRT 06 Dec 1996 : hp

 $AUT Holger Papajewski
 $DAT >>locale_protos.c<<   06 Dec 1996    13:34:00 - (C) ProDAD
*******************************************************************/

#pragma -

#define NOMYDEBUG


#ifndef  EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef  LIBRARIES_LOCALE_H
#include <libraries/locale.h>
#endif
#ifndef  UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif

#ifndef __INC_POS_PROTO_PLOCALE2_H
#include "p:proto/pLocale2.h"
#endif

#pragma -


void CloseCatalog( struct Catalog *catalog )
  { pOS_CloseCatalog((APTR)catalog); }

void CloseLocale( struct Locale *locale )
  { pOS_CloseLocale((APTR)locale); }

ULONG ConvToLower( struct Locale *locale, unsigned long character )
  { return(pOS_LocaleToLower((APTR)locale,character)); }

ULONG ConvToUpper( struct Locale *locale, unsigned long character )
  { return(pOS_LocaleToUpper((APTR)locale,character)); }

/*
void FormatDate( struct Locale *locale, STRPTR fmtTemplate,struct DateStamp *date, struct Hook *putCharFunc );
APTR FormatString( struct Locale *locale, STRPTR fmtTemplate, APTR dataStream,struct Hook *putCharFunc );
*/

STRPTR GetCatalogStr( struct Catalog *catalog, long stringNum,STRPTR defaultString )
  { return((STRPTR)pOS_GetCatalogStr((APTR)catalog,stringNum,defaultString)); }

STRPTR GetLocaleStr( struct Locale *locale, unsigned long stringNum )
  { return((STRPTR)pOS_GetLocaleStr((APTR)locale,stringNum)); }


BOOL IsAlNum( struct Locale *locale, unsigned long character )
  { return(pOS_IsAlNum((APTR)locale,character)); }

BOOL IsAlpha( struct Locale *locale, unsigned long character )
  { return(pOS_IsAlpha((APTR)locale,character)); }

BOOL IsCntrl( struct Locale *locale, unsigned long character )
  { return(pOS_IsCntrl((APTR)locale,character)); }

BOOL IsDigit( struct Locale *locale, unsigned long character )
  { return(pOS_IsDigit((APTR)locale,character)); }

BOOL IsGraph( struct Locale *locale, unsigned long character )
  { return(pOS_IsGraph((APTR)locale,character)); }

BOOL IsLower( struct Locale *locale, unsigned long character )
  { return(pOS_IsLower((APTR)locale,character)); }

BOOL IsPrint( struct Locale *locale, unsigned long character )
  { return(pOS_IsPrint((APTR)locale,character)); }

BOOL IsPunct( struct Locale *locale, unsigned long character )
  { return(pOS_IsPunct((APTR)locale,character)); }

BOOL IsSpace( struct Locale *locale, unsigned long character )
  { return(pOS_IsSpace((APTR)locale,character)); }

BOOL IsUpper( struct Locale *locale, unsigned long character )
  { return(pOS_IsUpper((APTR)locale,character)); }

BOOL IsXDigit( struct Locale *locale, unsigned long character )
  { return(pOS_IsXDigit((APTR)locale,character)); }


struct Catalog *OpenCatalogA( struct Locale *locale, STRPTR name,struct TagItem *tags )
  { return((struct Catalog*)pOS_OpenCatalogA((APTR)locale,name,(APTR)tags)); }
struct Catalog *OpenCatalog( struct Locale *locale, STRPTR name, Tag tag1,... )
  { return((struct Catalog*)pOS_OpenCatalogA((APTR)locale,name,(APTR)&tag1)); }
struct Locale *OpenLocale( STRPTR name )
  { return((struct Locale*)pOS_OpenLocale(name)); }

/*
BOOL ParseDate( struct Locale *locale, struct DateStamp *date,STRPTR fmtTemplate, struct Hook *getCharFunc );
ULONG StrConvert( struct Locale *locale, STRPTR string, APTR buffer,unsigned long bufferSize, unsigned long type );
*/


LONG StrnCmp( struct Locale *locale, STRPTR string1, STRPTR string2,long length, unsigned long type )
  { return(pOS_StrnCmp((APTR)locale,string1,string2,length)); }

#ifdef __cplusplus
}
#endif



#endif
