#ifndef  CLIB_MATHIEEESINGTRANS_PROTOS_H
#define  CLIB_MATHIEEESINGTRANS_PROTOS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PROTO_PMATHIEEETRS2_H
#include <p:proto/pMathIEEETrs2.h>
#endif


FLOAT IEEESPAtan( FLOAT parm );
FLOAT IEEESPSin( FLOAT parm );
FLOAT IEEESPCos( FLOAT parm );
FLOAT IEEESPTan( FLOAT parm );
FLOAT IEEESPSincos( FLOAT *cosptr, FLOAT parm );
FLOAT IEEESPSinh( FLOAT parm );
FLOAT IEEESPCosh( FLOAT parm );
FLOAT IEEESPTanh( FLOAT parm );
FLOAT IEEESPExp( FLOAT parm );
FLOAT IEEESPLog( FLOAT parm );
FLOAT IEEESPPow( FLOAT exp, FLOAT arg );
FLOAT IEEESPSqrt( FLOAT parm );
FLOAT IEEESPTieee( FLOAT parm );
FLOAT IEEESPFieee( FLOAT parm );
FLOAT IEEESPAsin( FLOAT parm );
FLOAT IEEESPAcos( FLOAT parm );
FLOAT IEEESPLog10( FLOAT parm );


#define IEEESPAtan(a)   pOS_IEEESPAtan(a)
#define IEEESPSin(a)    pOS_IEEESPSin(a)
#define IEEESPCos(a)    pOS_IEEESPCos(a)
#define IEEESPTan(a)    pOS_IEEESPTan(a)
#define IEEESPSincos(a,b) pOS_IEEESPSincos(a,b)
#define IEEESPSinh(a)   pOS_IEEESPSinh(a)
#define IEEESPCosh(a)   pOS_IEEESPCosh(a)
#define IEEESPTanh(a)   pOS_IEEESPTanh(a)
#define IEEESPExp(a)    pOS_IEEESPExp(a)
#define IEEESPLog(a)    pOS_IEEESPLog(a)
#define IEEESPPow(a,b)  pOS_IEEESPPow(a,b)
#define IEEESPSqrt(a)   pOS_IEEESPSqrt(a)
#define IEEESPTieee(a)  pOS_IEEESPTieee(a)
#define IEEESPFieee(a)  pOS_IEEESPFieee(a)
#define IEEESPAsin(a)   pOS_IEEESPAsin(a)
#define IEEESPAcos(a)   pOS_IEEESPAcos(a)
#define IEEESPLog10(a)  pOS_IEEESPLog10(a)

#endif	 /* CLIB_MATHIEEESINGTRANS_PROTOS_H */
