#ifndef  CLIB_MATHTRANS_PROTOS_H
#define  CLIB_MATHTRANS_PROTOS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PROTO_PMATHTRS2_H
#include <p:proto/pMathTrs2.h>
#endif


FLOAT SPAtan( FLOAT parm );
FLOAT SPSin( FLOAT parm );
FLOAT SPCos( FLOAT parm );
FLOAT SPTan( FLOAT parm );
FLOAT SPSincos( FLOAT *cosResult, FLOAT parm );
FLOAT SPSinh( FLOAT parm );
FLOAT SPCosh( FLOAT parm );
FLOAT SPTanh( FLOAT parm );
FLOAT SPExp( FLOAT parm );
FLOAT SPLog( FLOAT parm );
FLOAT SPPow( FLOAT power, FLOAT arg );
FLOAT SPSqrt( FLOAT parm );
FLOAT SPTieee( FLOAT parm );
FLOAT SPFieee( FLOAT parm );
FLOAT SPAsin( FLOAT parm );
FLOAT SPAcos( FLOAT parm );
FLOAT SPLog10( FLOAT parm );



#define SPAtan(a)   pOS_SPAtan(a)
#define SPSin(a)    pOS_SPSin(a)
#define SPCos(a)    pOS_SPCos(a)
#define SPTan(a)    pOS_SPTan(a)
#define SPSincos(a,b) pOS_SPSincos(a,b)
#define SPSinh(a)   pOS_SPSinh(a)
#define SPCosh(a)   pOS_SPCosh(a)
#define SPTanh(a)   pOS_SPTanh(a)
#define SPExp(a)    pOS_SPExp(a)
#define SPLog(a)    pOS_SPLog(a)
#define SPPow(a,b)  pOS_SPPow(a,b)
#define SPSqrt(a)   pOS_SPSqrt(a)
#define SPTieee(a)  pOS_SPTieee(a)
#define SPFieee(a)  pOS_SPFieee(a)
#define SPAsin(a)   pOS_SPAsin(a)
#define SPAcos(a)   pOS_SPAcos(a)
#define SPLog10(a)  pOS_SPLog10(a)

#endif	 /* CLIB_MATHTRANS_PROTOS_H */
