#ifndef  CLIB_TIMER_PROTOS_H
#define  CLIB_TIMER_PROTOS_H

#ifndef  DEVICES_TIMER_H
#include <devices/timer.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

void AddTime( struct timeval *dest, struct timeval *src );
void SubTime( struct timeval *dest, struct timeval *src );
LONG CmpTime( struct timeval *dest, struct timeval *src );
void GetSysTime( struct timeval *dest );



#ifdef __IGNORE_NOT_SUPPORTED__

  ULONG ReadEClock( struct EClockVal *dest );

#else  /** __IGNORE_NOT_SUPPORTED__ **/

#define ReadEClock ReadEClock_NOT_SUPPORTED
  ULONG ReadEClock(struct NOT_SUPPORTED*, struct EClockVal *dest );

#endif /** __IGNORE_NOT_SUPPORTED__ **/



#ifdef __cplusplus
}
#endif

#endif	 /* CLIB_TIMER_PROTOS_H */
