#ifndef	DEVICES_KEYMAP_H
#define	DEVICES_KEYMAP_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_NODES_H
#include <exec/nodes.h>
#endif
#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif
#ifndef __INC_POS_DEVICE_KEYMAP_H
#include <p:Device/Keymap.h>
#endif


struct KeyMap
{
  UBYTE *km_LoKeyMapTypes;
  ULONG *km_LoKeyMap;
  UBYTE *km_LoCapsable;
  UBYTE *km_LoRepeatable;

  UBYTE *km_HiKeyMapTypes;
  ULONG *km_HiKeyMap;
  UBYTE *km_HiCapsable;
  UBYTE *km_HiRepeatable;

  UWORD  km_Reserved;
  SWORD  km_LoMapOffset;
  SWORD  km_HiMapOffset;
  UWORD  km_LoMapLen;
  UWORD  km_HiMapLen;
};

struct KeyMapNode
{
  struct Node   kn_Node;
  struct KeyMap kn_KeyMap;
};


#endif	/* DEVICES_KEYMAP_H */
