#ifndef DOS_DATETIME_H
#define DOS_DATETIME_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif
#ifndef __INC_POS_PDOS_DATETIME_H
#include <p:pDos/DateTime.h>
#endif


struct DateTime
{
  struct DateStamp dat_Stamp;
  UBYTE         dat_Format;
  UBYTE         dat_Flags;

  UBYTE         dat_Day;
  UBYTE         dat_Month;
  UWORD         dat_Year;
  UBYTE         dat_Weekday;
  UBYTE         dat_Hour;
  UBYTE         dat_Minute;
  UBYTE         dat_Second;

  char         *dat_StrDay;
  char         *dat_StrDate;
  char         *dat_StrTime;
};



#define	LEN_DATSTRING	pOS_DATETIMESTR_MAX

#define DTB_SUBST	DATETIMEB_Subst
#define DTF_SUBST	DATETIMEF_Subst
#define DTB_FUTURE	DATETIMEB_Future
#define DTF_FUTURE	DATETIMEF_Future

#define FORMAT_DOS	DATETFRM_DOS
#define FORMAT_INT	DATETFRM_INT
#define FORMAT_USA	DATETFRM_USA
#define FORMAT_CDN	DATETFRM_CDN
#define FORMAT_MAX	DATETFRM_MAX

#endif /* DOS_DATETIME_H */
