#ifndef	EXEC_INTERRUPTS_H
#define	EXEC_INTERRUPTS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PEXEC_INTERUPT_H
#include <p:pExec/Interupt.h>
#endif
#ifndef EXEC_NODES_H
#include "exec/nodes.h"
#endif
#ifndef EXEC_LISTS_H
#include "exec/lists.h"
#endif


struct Interrupt
{
  struct Node is_Node;
  APTR        is_Data;
  ULONG       is_UserData;
  VOID      (*is_Code)();
};


#ifdef __IGNORE_NOT_SUPPORTED__
 #define SIH_PRIMASK 0
 #define INTB_NMI 0
 #define INTF_NMI 0
#endif /** __IGNORE_NOT_SUPPORTED__ **/



#endif	/* EXEC_INTERRUPTS_H */
