#ifndef	EXEC_IO_H
#define	EXEC_IO_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PEXEC_DEVICE_H
#include <p:pExec/Device.h>
#endif
#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif



struct IORequest
{
  struct Message  io_Message;
  struct Device  *io_Device;
  struct Unit    *io_Unit;
  UWORD           io_Command;
  UBYTE           io_Flags;
  SBYTE           io_Error;
};


struct IOStdReq
{
  struct Message  io_Message;
  struct Device  *io_Device;
  struct Unit    *io_Unit;
  UWORD           io_Command;
  UBYTE           io_Flags;
  SBYTE           io_Error;
  ULONG           io_Actual;
  ULONG           io_Length;
  APTR            io_Data;
  ULONG           io_Offset;
  ULONG           io_OPad;
  UBYTE           io_Pad[8];
};


#define IOB_QUICK IOREQB_Quick
#define IOF_QUICK IOREQF_Quick

#endif	/* EXEC_IO_H */
