#ifndef	EXEC_NODES_H
#define	EXEC_NODES_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PEXEC_LIST_H
#include "p:pExec/List.h"
#endif
#ifndef __INC_POS_PEXEC_NODE_H
#include "p:pExec/Node.h"
#endif


struct Node
{
  struct Node *ln_Succ;
  struct Node *ln_Pred;
  UBYTE        ln_Type;
  BYTE         ln_Pri;
  char        *ln_Name;
};

struct MinNode
{
  struct MinNode* mln_Succ;
  struct MinNode* mln_Pred;
};


#define NT_UNKNOWN	NTYP_UNKNOWN
#define NT_TASK		NTYP_TASK
#define NT_INTERRUPT	NTYP_INTERRUPT
#define NT_DEVICE	NTYP_DEVICE
#define NT_MSGPORT	NTYP_MSGPORT
#define NT_MESSAGE	NTYP_MESSAGE
#define NT_FREEMSG	NTYP_FREEMSG
#define NT_REPLYMSG	NTYP_REPLYMSG
#define NT_RESOURCE	NTYP_RESOURCE
#define NT_LIBRARY	NTYP_LIBRARY
#define NT_MEMORY	NTYP_MEMORY
#define NT_SOFTINT	NTYP_SOFTINT
#define NT_FONT		NTYP_FONT
#define NT_PROCESS	NTYP_PROCESS
#define NT_SEMAPHORE	NTYP_SEMAPHORE
#define NT_SIGNALSEM	NTYP_SIGNALSEM
#define NT_BOOTNODE	NTYP_BOOTNODE
#define NT_KICKMEM	NTYP_KICKMEM
#define NT_GRAPHICS	NTYP_GRAPHICS
#define NT_DEATHMESSAGE	NTYP_DEATHMESSAGE

#define NT_USER		NTYP_USER
#define NT_EXTENDED	NTYP_EXTENDED

#endif	/* EXEC_NODES_H */
