#ifndef	EXEC_PORTS_H
#define	EXEC_PORTS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PEXEC_MSGPORT_H
#include <p:pExec/MsgPort.h>
#endif
#ifndef EXEC_NODES_H
#include <exec/nodes.h>
#endif
#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif
#ifndef EXEC_TASKS_H
#include <exec/tasks.h>
#endif



struct MsgPort
{
  struct Node  mp_Node;
  UBYTE        mp_Flags;
  UBYTE        mp_SigBit;
  VOID        *mp_SigTask;
  struct List  mp_MsgList;
};

struct Message
{
  struct Node     mn_Node;
  struct MsgPort *mn_ReplyPort;
  UWORD           mn_Length;
};


#define mp_SoftInt mp_SigTask	/* Alias */

#define PF_ACTION	MSGPORTF_Mask
#define PA_SIGNAL	MSGPORTF_Signal
#define PA_SOFTINT	MSGPORTF_SoftInt
#define PA_IGNORE	MSGPORTF_Ignore

#endif	/* EXEC_PORTS_H */
