#ifndef	GRAPHICS_GFX_H
#define	GRAPHICS_GFX_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PLAYER_RECT_H
#include <p:pLayer/Rect.h>
#endif
#ifndef __INC_POS_PGFX_STDGMAP_H
#include <p:pGFX/StdGMap.h>
#endif



struct Rectangle
{
  SLONG MinX,MinY;
  SLONG MaxX,MaxY;
};

struct Rect32
{
  SLONG MinX,MinY;
  SLONG MaxX,MaxY;
};

typedef struct tPoint
{
  SWORD x,y;
} Point;

typedef UBYTE *PLANEPTR;

struct BitMap
{
    UWORD   BytesPerRow;
    UWORD   Rows;
    UBYTE   Flags;
    UBYTE   Depth;
    UWORD   pad;
    PLANEPTR Planes[8];
};

#define RASSIZE(w,h)	((ULONG)(h)*( ((ULONG)(w)+15)>>3&0xFFFE))

#define BMF_CLEAR       GFXMAPF_Clear
#define BMF_DISPLAYABLE GFXMAPF_Display

#define BMF_INTERLEAVED 0
#define BMF_STANDARD    0
#define BMF_MINPLANES   0

#define BMA_HEIGHT 0
#define BMA_DEPTH 4
#define BMA_WIDTH 8
#define BMA_FLAGS 12



#ifdef __IGNORE_NOT_SUPPORTED__

 #define BITSET  0x8000
 #define BITCLR  0

 #define AGNUS
  #ifdef AGNUS
  #define TOBB(a)  ((long)(a))
 #else
  #define TOBB(a)  ((long)(a)>>1)
 #endif

#endif /** __IGNORE_NOT_SUPPORTED__ **/


#endif	/* GRAPHICS_GFX_H */
