#ifndef	GRAPHICS_GFXMACROS_H
#define	GRAPHICS_GFXMACROS_H

/*******************************************************************
 pOS / Amiga adapt
*******************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef __INC_POS_PGFX_RASTPORT_H
#include <p:pGFX/RastPort.h>
#endif
#ifndef __INC_POS_PROTO_PGFX2_H
#include <p:proto/pGFX2.h>
#endif
#ifndef  GRAPHICS_RASTPORT_H
#include <graphics/rastport.h>
#endif


#define SetDrPt(w,p)    pOS_SetLineFillPattern((pOS_RastPort*)w,(ULONG)p,15);
#define SetAfPt(w,p,n)  pOS_SetAreaFillPattern((pOS_RastPort*)w,(UWORD*)p,n);

#define SetOPen(w,c)    {pOS_SetOPen(w,c); (w)->rp_Flags |= RASTPORTF_AreaOutline;}
#define SetWrMsk(w,m)   {(w)->Mask = m;}

#define SafeSetOutlinePen(w,c)  pOS_SetOPen(w,c);
#define SafeSetWriteMask(w,m)	{}
//     {if (GfxBase->LibNode.lib_Version<39) { (w)->Mask = (m);} else SetWriteMask(w,m); }

//#define GetOutlinePen(rp) GetOPen(rp)

#define BNDRYOFF(w)	{(w)->rp_Flags &= ~RASTPORTF_AreaOutline;}


#define DrawCircle(rp,cx,cy,r)	DrawEllipse(rp,cx,cy,r,r);
#define AreaCircle(rp,cx,cy,r)	AreaEllipse(rp,cx,cy,r,r);






#ifdef __IGNORE_NOT_SUPPORTED__

 #define ON_DISPLAY      ;
 #define OFF_DISPLAY     ;
 #define ON_SPRITE       ;
 #define OFF_SPRITE      ;
 #define ON_VBLANK       ;
 #define OFF_VBLANK      ;


#endif /** __IGNORE_NOT_SUPPORTED__ **/



#endif	/* GRAPHICS_GFXMACROS_H */
